Ticket #37 (closed Defect: fixed)

Opened 6 years ago

Last modified 6 years ago

repeated crashes while Importing All Data

Reported by: anonymous Owned by:
Priority: normal Milestone:
Component: Metadata - Movie Version: 1.0b4.1
Keywords: Cc:

Description

Target system: OS X 10.5.1, Mac mini 1.83GHz Core 2 Duo, 1GB RAM, booted from 250G external firewire drive, 43G free. I'm using Sapphire for the first time, 4.1beta.

Following the instructions, I turned off viewing and access to all paths except ~/Movies, since that's where all my non-iTunes files are. Sapphire Beta 4.1 scans and finds about 533 files, then asks for identification on almost every one. After a while, it crashes back to the Finder. I get a little further each time. It's almost as if it can only ask a finite number of questions (memory leak in the IMDB chooser?).

One unfortunate thing is I have a number of files that won't have metadata, like the extras from my "Spinal Tap" DVD. Every time Sapphire encounters these, it asks again what the file is, and I have to say <This IsNot? a Movie>". Another odd thing is that it tries to identify the movies "The Matrix" and "Matrix Reloaded" as TV shows, so there is no match.

I will attach a crash log. They all have the same cause and look similar. Thanks!


Process:         Front Row [530]
Path:            /System/Library/CoreServices/Front Row.app/Contents/MacOS/Front Row
Identifier:      com.apple.frontrow
Version:         2.1 (2.0)
Build Info:      FrontRow-2290000~2
Code Type:       X86 (Native)
Parent Process:  launchd [230]

Date/Time:       2007-12-14 12:51:07.456 -0500
OS Version:      Mac OS X 10.5.1 (9B18)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000038
Crashed Thread:  3

Thread 0:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.frontrow.backrow    	0x00ae7134 -[BRAppManager run] + 119
4   com.apple.frontrow            	0x000032bc std::allocator<std::pair<int const, int> >::~allocator() + 1070
5   com.apple.frontrow            	0x0041cd0a std::allocator<std::pair<int const, int> >::~allocator() + 4300412

Thread 1:
0   libSystem.B.dylib             	0x90cb7946 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x90ce91cf _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x90ceaa53 pthread_cond_timedwait_relative_np + 47
3   com.apple.Foundation          	0x9254df9c -[NSCondition waitUntilDate:] + 236
4   com.apple.Foundation          	0x9254ddb0 -[NSConditionLock lockWhenCondition:beforeDate:] + 144
5   com.apple.Foundation          	0x9254dd15 -[NSConditionLock lockWhenCondition:] + 69
6   com.apple.frontrow.backrow    	0x00adb5a9 -[BRMusicStore(Private) _processJobs:] + 103
7   com.apple.Foundation          	0x9250804d -[NSThread main] + 45
8   com.apple.Foundation          	0x92507bf4 __NSThread__main__ + 308
9   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
10  libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd38 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x9253c5b5 -[NSRunLoop(NSRunLoop) runMode:beforeDate:] + 213
5   com.apple.Foundation          	0x925486d4 -[NSRunLoop(NSRunLoop) run] + 84
6   com.apple.frontrow.backrow    	0x00ae2d21 -[BRURLDocumentManager(private) _loadDocuments] + 162
7   com.apple.Foundation          	0x9250804d -[NSThread main] + 45
8   com.apple.Foundation          	0x92507bf4 __NSThread__main__ + 308
9   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
10  libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 3 Crashed:
0   com.apple.CoreFoundation      	0x93e705cd CFBundleCopyLocalizedString + 77
1   com.apple.CoreFoundation      	0x93e90815 _CFErrorCreateLocalizedDescription + 277
2   com.apple.CoreFoundation      	0x93eb19ca CFPropertyListWriteToStream + 538
3   com.apple.CFNetwork           	0x95aa63ce CFHTTPCookieStorageSync + 1398
4   com.apple.CFNetwork           	0x95aa5e00 CFHTTPCookieStorageSyncStorageObserver + 22
5   com.apple.CFNetwork           	0x95aa393a CFHTTPCookieStorageObserverCallback + 32
6   com.apple.CoreFoundation      	0x93ebc64e CFRunLoopRunSpecific + 3166
7   com.apple.CoreFoundation      	0x93ebcd38 CFRunLoopRunInMode + 88
8   com.apple.Foundation          	0x9256b560 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
9   com.apple.Foundation          	0x9250804d -[NSThread main] + 45
10  com.apple.Foundation          	0x92507bf4 __NSThread__main__ + 308
11  libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
12  libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd94 CFRunLoopRun + 84
4   com.apple.DVCPROHDMuxer       	0x01564507 AVS::DestroyAVCDeviceController(AVS::AVCDeviceController*) + 285
5   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
6   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd38 CFRunLoopRunInMode + 88
4   com.apple.audio.CoreAudio     	0x96ca5464 HALRunLoop::OwnThread(void*) + 160
5   com.apple.audio.CoreAudio     	0x96ca5300 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
7   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x90cb792e semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x90ce91e6 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x90d2ec4b pthread_cond_wait + 48
3   com.apple.frontrow            	0x00018c77 std::allocator<std::pair<int const, int> >::~allocator() + 89577
4   com.apple.frontrow            	0x00018600 std::allocator<std::pair<int const, int> >::~allocator() + 87922
5   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
6   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x90d06f5a select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
2   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 8:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd38 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x95a807c2 CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
6   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 9:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd94 CFRunLoopRun + 84
4   com.apple.frontrow.backrow    	0x00ae6f96 -[BRDisplayManager(DisplayNotifications) _windowServerCallbackHandler] + 342
5   com.apple.Foundation          	0x9250804d -[NSThread main] + 45
6   com.apple.Foundation          	0x92507bf4 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
8   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 10:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.frontrow            	0x003d1ffb std::allocator<std::pair<int const, int> >::~allocator() + 3993965
4   com.apple.Foundation          	0x9250804d -[NSThread main] + 45
5   com.apple.Foundation          	0x92507bf4 __NSThread__main__ + 308
6   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
7   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 11:
0   libSystem.B.dylib             	0x90cbeace __semwait_signal + 10
1   libSystem.B.dylib             	0x90ce8ced pthread_cond_wait$UNIX2003 + 73
2   libGLProgrammability.dylib    	0x93642f32 glvmDoWork + 162
3   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
4   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 12:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreGraphics        	0x90f597e3 _CGSGetSurfaceBinding + 133
3   com.apple.CoreGraphics        	0x90f59689 CGSFlushSurfaceWithOptions + 340
4   com.apple.opengl              	0x9342c878 glcDoNonSimpleFlushOptions + 216
5   ...er.AppleIntelGMA950GLDriver	0x13a8aaa7 glrSwapSwap + 279
6   com.apple.opengl              	0x9342c78b CGLFlushDrawable + 123
7   com.apple.frontrow.backrow    	0x00af5d49 -[BRRenderScene(RenderLinkPrivate) _renderTreeAtTime:] + 2352
8   com.apple.frontrow.backrow    	0x00af53e8 RenderCallback + 227
9   com.apple.CoreVideo           	0x927a7027 CVDisplayLink::performIO(CVTimeStamp*) + 429
10  com.apple.CoreVideo           	0x927a7653 CVDisplayLink::runIOThread() + 1015
11  libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
12  libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 13:
0   libSystem.B.dylib             	0x90cbeace __semwait_signal + 10
1   libSystem.B.dylib             	0x90ce8ced pthread_cond_wait$UNIX2003 + 73
2   com.apple.QuartzCore          	0x91b11161 fe_fragment_thread + 54
3   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
4   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 14:
0   libSystem.B.dylib             	0x90cbeace __semwait_signal + 10
1   libSystem.B.dylib             	0x90ce8ced pthread_cond_wait$UNIX2003 + 73
2   com.apple.ColorSync           	0x916e3460 pthreadSemaphoreWait(t_pthreadSemaphore*) + 42
3   com.apple.ColorSync           	0x916f5d92 CMMConvTask(void*) + 54
4   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
5   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 15:
0   libSystem.B.dylib             	0x90cb7946 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x90ce91cf _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x90ceaa53 pthread_cond_timedwait_relative_np + 47
3   ...ple.CoreServices.CarbonCore	0x91ddd252 TSWaitOnConditionTimedRelative + 246
4   ...ple.CoreServices.CarbonCore	0x91ddd032 TSWaitOnSemaphoreCommon + 422
5   ...ickTimeComponents.component	0x94a43fbe ReadSchedulerThreadEntryPoint + 4724
6   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
7   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 16:
0   libSystem.B.dylib             	0x90cb7946 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x90ce91cf _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x90ceaa53 pthread_cond_timedwait_relative_np + 47
3   ...ple.CoreServices.CarbonCore	0x91ddd252 TSWaitOnConditionTimedRelative + 246
4   ...ple.CoreServices.CarbonCore	0x91ddd032 TSWaitOnSemaphoreCommon + 422
5   ...ple.CoreServices.CarbonCore	0x91e05634 AIOFileThread(void*) + 1056
6   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
7   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 3 crashed with X86 Thread State (32-bit):
  eax: 0x00000038  ebx: 0x93e70591  ecx: 0x00000000  edx: 0x00000000
  edi: 0x00000000  esi: 0xa044e960  ebp: 0xb01a3d88  esp: 0xb01a3d30
   ss: 0x0000001f  efl: 0x00010202  eip: 0x93e705cd   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x0000001f   gs: 0x00000037
  cr2: 0x00000038

Binary Images:
    0x1000 -   0x5fafe6  com.apple.frontrow 2.1 (2.0) <57be1cda72526c6b197fa6471b8361ae> /System/Library/CoreServices/Front Row.app/Contents/MacOS/Front Row
  0x875000 -   0x8a0fef  com.apple.iPhotoAccessFramework 2.0 (2.0) /System/Library/PrivateFrameworks/iPhotoAccess.framework/Versions/A/iPhotoAccess
  0x8c3000 -   0x8c6fff  com.apple.BezelServicesFW 1.4.533 (1.4.533) /System/Library/PrivateFrameworks/BezelServices.framework/Versions/A/BezelServices
  0x8cd000 -   0xa75fe7  com.apple.dvdplayback 5.0.0 (5000) <7a3d2b8a74de22a85d80b77330a39dc3> /System/Library/Frameworks/DVDPlayback.framework/Versions/A/DVDPlayback
  0xad8000 -   0xbd0ff3  com.apple.frontrow.backrow 2.1.1 (2.1.1) /System/Library/PrivateFrameworks/BackRow.framework/Versions/A/BackRow
  0xcab000 -   0xcbfff7  com.apple.ScreenSaver 2.0 (2.0) <76cb878a128f3161288d43a68ba0290e> /System/Library/Frameworks/ScreenSaver.framework/Versions/A/ScreenSaver
  0xccf000 -   0xd0afe3  com.apple.AppleVAFramework 4.0.14 (4.0.14) /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
  0xd11000 -   0xd50fff  com.apple.vmutils 4.1 (104) <2fcd53ce313bb6050bfaf0ac6c1b5ead> /System/Library/PrivateFrameworks/vmutils.framework/Versions/A/vmutils
  0xd72000 -   0xda2ffb  com.apple.DiskManagement 2.1 (152) <1a71c02f082a80656961486251b15074> /System/Library/PrivateFrameworks/DiskManagement.framework/Versions/A/DiskManagement
  0xdc4000 -   0xdf9fff  com.apple.MediaKit 9.0 (391) <baf0ef1d2fb7dec226bb982c991b6b95> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
  0xe0a000 -   0xed3ff5  com.apple.DiscRecording 4.0 (4000.4.10) <d4130992c67baeb1ec39e6b63e080550> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
 0x1231000 -  0x1233fff  com.apple.frontrow.appliance.dvd 2.0 (2.0) <8746ee2b0f732a7773d475cdcae1258a> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/DVD.frappliance/Contents/MacOS/DVD
 0x123a000 -  0x123bffc  com.apple.frontrow.appliance.frsettings 2.0.1 (2.0.1) <699a65011ae0c94b6927a65693d1622e> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/FRSettings.frappliance/Contents/MacOS/FRSettings
 0x1241000 -  0x1241ffd  com.apple.frontrow.appliance.frsources 1.0 (1.0) <11a6fd772e4af77d0c098b55feaa4e86> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/FRSources.frappliance/Contents/MacOS/FRSources
 0x1247000 -  0x124efff  com.apple.frontrow.appliance.movies 2.0.2 (2.0.2) <16d0a1b2da287b041aec9fbf211938b0> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Movies.frappliance/Contents/MacOS/Movies
 0x1258000 -  0x1258ffe  com.apple.frontrow.appliance.music 2.0.2 (2.0.2) <5c3497efe5ea5f7fc63464ed123227eb> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Music.frappliance/Contents/MacOS/Music
 0x125e000 -  0x125fffd  com.apple.frontrow.appliance.frphotos 2.0.2 (2.0.2) <b0e78cb6757b463ccad37e2aa5f5ff60> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Photos.frappliance/Contents/MacOS/Photos
 0x1266000 -  0x1266ffc  com.apple.frontrow.appliance.podcast 2.1.1 (2.1.1) <ebf69d3aff2a43d066af3ba944105805> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Podcasts.frappliance/Contents/MacOS/Podcasts
 0x126c000 -  0x126cffe  com.apple.frontrow.appliance.tv 2.0.2 (2.0.2) <eafa4f8cd0240bcee44067c91a6c068d> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/TV.frappliance/Contents/MacOS/TV
 0x12d4000 -  0x12fbfff  com.apple.frontrow.appliance.Sapphire ??? (1.0b4.1 (396)) /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Sapphire.frappliance/Contents/MacOS/Sapphire
 0x1353000 -  0x1356fff  com.apple.audio.AudioIPCPlugIn 1.0.4 (1.0.4) <9ce6f675ce724b0ba4e78323b79cf95c> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
 0x135c000 -  0x1361fff  com.apple.audio.AppleHDAHALPlugIn 1.4.0 (1.4.0a23) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
 0x1553000 -  0x159afef  com.apple.DVCPROHDMuxer 1.2 (1.2) /Library/QuickTime/DVCPROHDMuxer.component/Contents/MacOS/DVCPROHDMuxer
 0x1700000 -  0x1752fc3  com.apple.DVCPROHDAudio 1.2 (1.2) /Library/Audio/Plug-Ins/HAL/DVCPROHDAudio.plugin/Contents/MacOS/DVCPROHDAudio
0x13808000 - 0x1388cfff  com.apple.xquery 1.3 (27) /System/Library/PrivateFrameworks/XQuery.framework/XQuery
0x138c4000 - 0x13a45fef  GLEngine ??? (???) <6106cebf02eec50e8f88c5dc936f1266> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x13a73000 - 0x13accff7  com.apple.driver.AppleIntelGMA950GLDriver 1.5.18 (5.1.8) <367ee1d6bfcdc0efeef57a88505a1cb6> /System/Library/Extensions/AppleIntelGMA950GLDriver.bundle/Contents/MacOS/AppleIntelGMA950GLDriver
0x13ad4000 - 0x13af0fff  GLRendererFloat ??? (???) <5719f596b7e2c9ef8afca208544b158b> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x13c3c000 - 0x13c3cffe  com.yourcompany.CompatClasses ??? (1.0) <ca171e46f7dc31eb6fb4018aca902391> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Sapphire.frappliance/Contents/Frameworks/CompatClasses.framework/CompatClasses
0x13c50000 - 0x13d36ff7  com.apple.RawCamera.bundle 2.0 (2.0) /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x1407e000 - 0x140ddfef  com.apple.QuickTimeMPEG.component 7.3.1 (7.3.1) /System/Library/QuickTime/QuickTimeMPEG.component/Contents/MacOS/QuickTimeMPEG
0x16f45000 - 0x16f47ffb  com.apple.PDFImporter 1.7 (???) <490de796fe9a6b3b8a9844a1630d38e2> /System/Library/Components/PDFImporter.component/Contents/MacOS/PDFImporter
0x18100000 - 0x1828dfef  com.apple.audio.codecs.Components 1.6 (1.6) /System/Library/Components/AudioCodecs.component/Contents/MacOS/AudioCodecs
0x20177000 - 0x203b6fde +net.telestream.wmv.import 2.2.0.39 (2.2.0.39) /Library/QuickTime/Flip4Mac WMV Import.component/Contents/MacOS/Flip4Mac WMV Import
0x203ee000 - 0x205d0fe4 +org.perian.Perian 1.0 (1.0) /Library/QuickTime/Perian.component/Contents/MacOS/Perian
0x2098f000 - 0x2099efeb +com.shepmater.A52Codec 1.7.6 (1.7.6) /Library/Audio/Plug-Ins/Components/A52Codec.component/Contents/MacOS/A52Codec
0x70000000 - 0x700e3ff2  com.apple.audio.units.Components 1.5 (1.5) /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8fe00000 - 0x8fe2d883  dyld 95.3 (???) <81592e798780564b5d46b988f7ee1a6a> /usr/lib/dyld
0x90003000 - 0x90032fe3  com.apple.AE 402 (402) <994ba8e884aefe7bf1fc5987df099e7b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x90071000 - 0x900f8ff7  libsqlite3.0.dylib ??? (???) <273efcb717e89c21207c851d7d33fda4> /usr/lib/libsqlite3.0.dylib
0x90111000 - 0x9011fffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x90120000 - 0x901b3fff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x9054e000 - 0x9055efff  com.apple.speech.synthesis.framework 3.6.59 (3.6.59) <4ffef145fad3d4d787e0c33eab26b336> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9055f000 - 0x9055fffe  com.apple.MonitorPanelFramework 1.2.0 (1.2.0) <a2b462be6c51187eddf7d097ef0e0a04> /System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel
0x90560000 - 0x90610fff  edu.mit.Kerberos 6.0.11 (6.0.11) <33c25789baedcd70a7e24881775dd9ad> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x90611000 - 0x906c3ffb  libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib
0x906c4000 - 0x90a82fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x90a83000 - 0x90b32fff  com.apple.DesktopServices 1.4.3 (1.4.3) <66d5ed56111c43d234e235d365d02469> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x90b33000 - 0x90c57fe3  com.apple.audio.toolbox.AudioToolbox 1.5 (1.5) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x90c58000 - 0x90c59ffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x90c8f000 - 0x90c8ffff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x90c90000 - 0x90c97ff7  libCGATS.A.dylib ??? (???) <9b29a5500efe01cc3adea67bbc42568e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x90c98000 - 0x90c9ffff  com.apple.agl 3.0.9 (AGL-3.0.9) <7dac4a7cb0de2f6d08ae71c1249379e3> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x90ca0000 - 0x90cb6fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x90cb7000 - 0x90e11fe3  libSystem.B.dylib ??? (???) <8ecc83dc0399be3946f7a46e88cf4bbb> /usr/lib/libSystem.B.dylib
0x90e12000 - 0x90e9cfff  com.apple.framework.IOKit 1.5.1 (???) <5176a7383151a19c962334009fef2c6d> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90e9d000 - 0x90e9dffe  com.apple.quartzframework 1.5 (1.5) <4b8f505e32e4f2d67967a276401f9aaf> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x90e9e000 - 0x90eb6fff  com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x90eb7000 - 0x9154efef  com.apple.CoreGraphics 1.351.0 (???) <7a6f399039eed6dbe845c169f7d21a70> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9154f000 - 0x915c3fef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x915ca000 - 0x915cffff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x915d0000 - 0x915d8fff  com.apple.DiskArbitration 2.2 (2.2) <1551b2af557fdf6f368f93e093933852> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x915d9000 - 0x9168ffe3  com.apple.CoreServices.OSServices 210.2 (210.2) <4ed69f07fc0f211ab32d1ee96e281fc2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91690000 - 0x91690ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x91691000 - 0x916affff  libresolv.9.dylib ??? (???) <54e6a08c2f108bdf5916fb483d51961b> /usr/lib/libresolv.9.dylib
0x916b0000 - 0x9177bfff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9177f000 - 0x91783fff  libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91784000 - 0x917a8fff  libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib
0x917a9000 - 0x917d6feb  libvDSP.dylib ??? (???) <a26683d121ee0f96df9a9d0bfca36049> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x917dd000 - 0x9183affb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x9183b000 - 0x918c6ffb  com.apple.QTKit 7.3.1 (7.3.1) /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x918c7000 - 0x918fdfff  com.apple.SystemConfiguration 1.9.0 (1.9.0) <7919d9588c3b0d556646e555b7193f1f> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x918fe000 - 0x919a7fff  com.apple.JavaScriptCore 5523.10.3 (5523.10.3) <9e6719a7a0740f5c224099a7b853e45b> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x919a8000 - 0x919a8ff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x919a9000 - 0x91a18fff  com.apple.PDFKit 2.0 (2.0) /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x91a1c000 - 0x91db2ff7  com.apple.QuartzCore 1.5.1 (1.5.1) <deb61cbeb3f734a1b2f4669f6268b9de> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x91db3000 - 0x9208cfe7  com.apple.CoreServices.CarbonCore 783 (783) <8370e664eeb25edc98d5c1f5405b06ae> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x9208d000 - 0x92181ff4  libiconv.2.dylib ??? (???) <c508c60fafca17824c0017b2e4369802> /usr/lib/libiconv.2.dylib
0x92182000 - 0x92488fff  com.apple.HIToolbox 1.5.0 (???) <1b872a7151ee3f80c9c736a3e46d00d9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x92489000 - 0x9248effb  com.apple.DisplayServicesFW 2.0 (2.0) <8953865f53e940007a4e4ac5390d3c95> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x9248f000 - 0x924fdfff  com.apple.iLifeMediaBrowser 1.0.3 (194) /System/Library/PrivateFrameworks/iLifeMediaBrowser.framework/Versions/A/iLifeMediaBrowser
0x924fe000 - 0x92777fe7  com.apple.Foundation 6.5.1 (677.1) <85ac18c7cd454378db6122bea0c00965> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92778000 - 0x92793ffb  libPng.dylib ??? (???) <b6abcac36ec7654ff3e1cfa786b0117b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x92794000 - 0x927aafe7  com.apple.CoreVideo 1.5.0 (1.5.0) <c7569b68e54114da815e9c55299fe3a4> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x927ab000 - 0x928e3ff7  libicucore.A.dylib ??? (???) <afcea652ff2ec36885b2c81c57d06d4c> /usr/lib/libicucore.A.dylib
0x928e4000 - 0x92929fef  com.apple.Metadata 10.5.0 (398) <4fd74fba0062c2e08ec4b1c10b40ff63> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9292a000 - 0x92a09fff  libobjc.A.dylib ??? (???) <5eda47fec2d0e7853b3506aa1fd2dafa> /usr/lib/libobjc.A.dylib
0x92a0a000 - 0x92a0cff5  libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x92a0d000 - 0x92a47ff7  com.apple.coreui 0.1 (60) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x92a48000 - 0x92c03ff3  com.apple.QuartzComposer 2.0 (106) <e31bf3733d0676dd7993afca6ce48c3e> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x92c04000 - 0x92c04ffd  com.apple.Accelerate 1.4 (Accelerate 1.4) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x92d07000 - 0x92debffb  com.apple.CoreData 100 (185) <a4e63784275e25e62f57e75e0af0b94d> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x92dec000 - 0x92df3fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x92df4000 - 0x92ebbff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x92f0a000 - 0x9321bfe2  com.apple.QuickTime 7.3.1 (7.3.1) <697ff9cc466d4388840c3b733af9c6d7> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x9321c000 - 0x93275fff  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x933f5000 - 0x93400fe7  libCSync.A.dylib ??? (???) <df82fc093e498a9eb5490761cb292218> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x93401000 - 0x93401ff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x93402000 - 0x93421ffa  libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x93422000 - 0x9342ffe7  com.apple.opengl 1.5.5 (1.5.5) <aa08b52d2a84b44dc6ee5d544a53fe8a> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93435000 - 0x93491ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x93492000 - 0x93493fef  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x93494000 - 0x934b8feb  libssl.0.9.7.dylib ??? (???) <acee7fc534674498dcac211318aa23e8> /usr/lib/libssl.0.9.7.dylib
0x934b9000 - 0x934b9ffd  com.apple.vecLib 3.4 (vecLib 3.4) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x934ba000 - 0x934fcfef  com.apple.NavigationServices 3.5.1 (161) <cc6bd78eabf1e2e7166914e9f12f5850> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93526000 - 0x9355fffe  com.apple.securityfoundation 3.0 (32768) <1e9885d63ced51f81bc1f39af624637d> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9361c000 - 0x93ae8ffe  libGLProgrammability.dylib ??? (???) <e8bc0af671427cf2b6279a035805a086> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x93cda000 - 0x93ce1ffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x93ce2000 - 0x93cf2ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <cbeb17ab39f28351fe2ab5b82bf465bc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x93d03000 - 0x93d05fff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x93d06000 - 0x93d52fff  com.apple.QuickLookUIFramework 1.0 (168.0) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x93d53000 - 0x93dd2ff5  com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x93dd3000 - 0x93df1ff3  com.apple.DirectoryService.Framework 3.5 (3.5) <899d8c9ee31b004a6ff73dab88982b1a> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x93df2000 - 0x93df2ffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x93e24000 - 0x93e42ff7  com.apple.QuickLookFramework 1.0 (168.0) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x93e43000 - 0x93e49fff  com.apple.print.framework.Print 218 (220) <c35172175abbe554ddadd9b6401351fa> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x93e4a000 - 0x93f7cfe7  com.apple.CoreFoundation 6.5 (476) <8bfebc0dbad6fc33bea0fa00a1b9ec37> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x93f7d000 - 0x94146fef  com.apple.security 5.0.1 (32736) <8c9eda0fcc1d8a571543025ac900715f> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x94147000 - 0x9428cff7  com.apple.ImageIO.framework 2.0.0 (2.0.0) <154d4d8cda2bd99518cbabc9f2d69833> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9428d000 - 0x942b4fff  libcups.2.dylib ??? (???) <6b61eb99e6f5dd2d66cd224e9f82427d> /usr/lib/libcups.2.dylib
0x942b5000 - 0x946c5fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x946d2000 - 0x947b3ff7  libxml2.2.dylib ??? (???) <450ec38b57fb46013847cce851001a2f> /usr/lib/libxml2.2.dylib
0x9482c000 - 0x9482cffd  com.apple.Accelerate.vecLib 3.4 (vecLib 3.4) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9482d000 - 0x948b9ff7  com.apple.LaunchServices 284 (284) <0fb50a7a6fd38875f727fc2592a496e4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x948ba000 - 0x94961fff  com.apple.QD 3.11.50 (???) <e2f71720ae1dad06a8883ac80775b21a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x94962000 - 0x949f4ff3  com.apple.ApplicationServices.ATS 3.0 (???) <fb5f572243dbc370a0ea5efc8e81ae11> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x949f5000 - 0x94a1ffef  libauto.dylib ??? (???) <d468bc4a8a69343f1748c293db1b57fb> /usr/lib/libauto.dylib
0x94a20000 - 0x94a2cff5  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x94a2d000 - 0x958aefe2  com.apple.QuickTimeComponents.component 7.3.1 (7.3.1) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x958af000 - 0x958ffff7  com.apple.HIServices 1.6.0 (???) <d74aa73e4cfd30a08fb169198a8d2539> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x95900000 - 0x9593dff7  libGLImage.dylib ??? (???) <202d73e6a4688fc06ff11b71910c2ce7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9593e000 - 0x95a74fe3  com.apple.imageKit 1.0 (1.0) <2f2656deebcf595b88f010ba08cef0e4> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x95a75000 - 0x95aecfe3  com.apple.CFNetwork 220 (220) <0ae8fbcbadcb9bd8d673aa4531c0fcfc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x95aed000 - 0x95af0fff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x95af1000 - 0x95afbfeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x95afc000 - 0x95b0bffe  com.apple.DSObjCWrappers.Framework 1.2 (1.2) <f5b58d1d3a855a63d493ccbec417a1e9> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x95b0c000 - 0x95b56fe1  com.apple.securityinterface 3.0 (32532) <f521dae416ce7a3bdd594b0d4e2fb517> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x95b57000 - 0x95b93ff7  com.apple.CoreMediaIOServicesPrivate 1.2 (1.2) /System/Library/PrivateFrameworks/CoreMediaIOServicesPrivate.framework/Versions/A/CoreMediaIOServicesPrivate
0x95b94000 - 0x95b98fff  com.apple.CoreMediaAuthoringPrivate 1.1 (1.1) /System/Library/PrivateFrameworks/CoreMediaAuthoringPrivate.framework/Versions/A/CoreMediaAuthoringPrivate
0x95b99000 - 0x95c13ff8  com.apple.print.framework.PrintCore 5.5 (245) <9441d178f4b430cf92b67bf346646693> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x95c14000 - 0x95cd9fff  com.apple.QuickTimeMPEG4.component 7.3.1 (7.3.1) /System/Library/QuickTime/QuickTimeMPEG4.component/Contents/MacOS/QuickTimeMPEG4
0x95cda000 - 0x95ceeff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x95d5c000 - 0x95d9bfef  libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x95d9c000 - 0x95dbffff  com.apple.CoreMediaPrivate 1.2 (1.2) <0f78d9bc7307d60cf58c0f8ac8994cf4> /System/Library/PrivateFrameworks/CoreMediaPrivate.framework/Versions/A/CoreMediaPrivate
0x962f7000 - 0x962f7ffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x962f8000 - 0x96352ff7  com.apple.CoreText 2.0.0 (???) <7fa39cd5bc847615ec02e7c7a37c0508> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x963a2000 - 0x96b9cfef  com.apple.AppKit 6.5 (949) <f8d0f6d0bb5ac092f48f42ca684bdb54> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x96b9d000 - 0x96c3bfef  com.apple.QuickTimeImporters.component 7.3.1 (7.3.1) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x96c3c000 - 0x96c45fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x96c46000 - 0x96c87fe7  libRIP.A.dylib ??? (???) <bdc6d70bf4ed3dace321b4ff76a353b3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x96c88000 - 0x96d04feb  com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x96d05000 - 0x96d36ffb  com.apple.quartzfilters 1.5.0 (1.5.0) <22581f8fe9dd2cb261f97a897407ec3e> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x96d37000 - 0x96d6dfef  libtidy.A.dylib ??? (???) <e4d3e7399fb83d7f145f9b4ec8196242> /usr/lib/libtidy.A.dylib
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib ==

-------------------

Change History

comment:1 Changed 6 years ago by anonymous

I should have mentioned, this user account is not an admin. Since the Mac is on 24/7, it's safer not to leave it in admin mode.

comment:2 Changed 6 years ago by xprimnt

Out of curiosity, does it work if you go into settings and select "Import Movie Data"?

I ask because I have a TV Show that causes mine to crash, but if I import "Movies", it works. It also works if I remove the TV show from the directory.

What does the output of your Console.app look like?

comment:3 Changed 6 years ago by SteveM

Running the Movie importer alone didn't change the behavior--Sapphire still crashed at about the same point as before.

Perhaps it would help if I better understood how to organize the files so that Sapphire would know which are TV shows and which are Movies.

After today's crash, the main display for console.app said this:

12/15/07 1:10:57 PM FrontRow[1207] ******** Application Startup ******** 
12/15/07 1:10:57 PM FrontRow[1207] [SapphireAppliance className] called for whitelist check; returning RUICalibrationAppliance instead 
12/15/07 1:17:51 PM ReportCrash[1210] Formulating crash report for process Front Row[1207] 
12/15/07 1:17:53 PM ReportCrash[1210] Saved crashreport to /Users/frontrow/Library/Logs/CrashReporter/Front Row_2007-12-15-131746_HDmini.crash using uid: 502 gid: 502, euid: 502 egid: 502 
12/15/07 1:17:53 PM ReportCrash[1210] Failed to write crash history. Error: 2 No such file or directory 
12/15/07 1:17:51 PM com.apple.launchd[230] (com.apple.RemoteUI[1207]) Exited abnormally: Bus error 

"RemoteUI" probably refers to my use of Apple Remote Desktop 3.2 to control the Mac mini. It's a media server attached to my HDTV, and has no keyboard or mouse attached. Just the Apple remote, and ARD. I don't know what to make of the "No such file or directory" error, since it shouldn't be a user responsibility, and also the ~Library/Logs/? error file is written successfully. I would guess it's looking for a global FrontRow?.app log--running FrontRow? as an admin did not create a file or folder like that.

comment:4 Changed 6 years ago by gbooker

Does the directory "/Users/frontrow/Library/Logs/CrashReporter" exist? For that matter, does "/Users/frontrow/Library/" exist? Sounds like the non-admin account (I assume the account is frontrow) doesn't have access to this directory for one reason or another.

comment:5 Changed 6 years ago by anonymous

Both directories exist, and have read/write access from the "frontrow" account. You assume correctly--the account name is "frontrow", which is a Standard user account that runs 24/7. The SimplyMedia? app has created a "/Users/frontrow/Library/Logs/SimplyMedia/" directory, so it is possible for apps to do that.

I'll try running Sapphire in Admin mode, and see if it helps.

comment:6 follow-up: ↓ 8 Changed 6 years ago by anonymous

No, changing the "frontrow" account to an admin made no difference. I got both the bus error at the expected time, and the file system error message.

It's curious. The online docs say that once I say, "This is not a Movie" I shouldn't be asked about it again. Sapphire does remember the matches I make to specific movies or TV shows, but it doesn't store the "Not A Movie" data. Also, I've never seen the <This is something else> and <This is a TV Show> choices that are shown in the online manual.

comment:7 Changed 6 years ago by anonymous

I may have an ACL problem. I can't rename some files & aliases in my ~/Movies folder & subfolders.

comment:8 in reply to: ↑ 6 Changed 6 years ago by gbooker

What is interesting is the part that is crashing is NSURLConnection (part of AppKit? IIRC), which downloads cover art. It is called in a very standard method. I would suggest try moving some files out of the directory to see if the crashes are random, or associated with certain files. Perhaps fetching certain urls is crashing NSURLConnection. Replying to anonymous:

It's curious. The online docs say that once I say, "This is not a Movie" I shouldn't be asked about it again. Sapphire does remember the matches I make to specific movies or TV shows, but it doesn't store the "Not A Movie" data. Also, I've never seen the <This is something else> and <This is a TV Show> choices that are shown in the online manual.

The selection of "This is not a Movie" is stored in the main metadata, which, for efficiency reasons, is saved only after a complete import (or a canceled one). If the program crashes during an import, this is obviously not saved.. The last two choices were removed at the last minute since they were a bit redundant.

comment:9 Changed 6 years ago by anonymous

I have disabled ACLs (using "sudo fsaclctl -d -p /" in the Terminal), and it solved my problems in moving and renaming files. Unfortunately, Sapphire started crashing almost immediately. So I deleted all the Front Row and Sapphire preferences and stored data I could find, and started over. Sapphire behaved for a while, as I searched for files and started marking groups of files. Then it started crashing again. It easily loses the "glassy selection rectangle" that slides up and down over choices--sometimes it's gone entirely, sometimes only the icon on the far right is brightened, sometimes only the far left and far right of the bluish rect is visible. It takes a reboot to fix that.

I do believe Saphhire has a problem when used via Apple Remote Desktop, so I've stopped that. After disabling ACLs, clearing out the data, and starting fresh, the console.log only says:

12/16/07 11:53:00 PM com.apple.RemoteUI[157] No accelerated IMDCT transform found 

...dozens of times in a row, leading up to the second FrontRow? exits unexpectedly. Now, without ARD, FrontRow? & Sapphire have a new failure mode:

Process:         Front Row [510]
Path:            /System/Library/CoreServices/Front Row.app/Contents/MacOS/Front Row
Identifier:      com.apple.frontrow
Version:         2.1 (2.0)
Build Info:      FrontRow-2290000~2
Code Type:       X86 (Native)
Parent Process:  launchd [90]

Date/Time:       2007-12-17 12:05:22.109 -0500
OS Version:      Mac OS X 10.5.1 (9B18)
Report Version:  6

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Application Specific Information:
*** Terminating app due to uncaught exception 'NSRangeException', reason: '*** -[NSCFArray objectAtIndex:]: index (0) beyond bounds (0)'

Thread 0 Crashed:
0   com.apple.CoreFoundation      	0x93f36114 ___TERMINATING_DUE_TO_UNCAUGHT_EXCEPTION___ + 4
1   libobjc.A.dylib               	0x9293309b objc_exception_throw + 40
2   com.apple.CoreFoundation      	0x93ebcb0c CFRunLoopRunSpecific + 4380
3   com.apple.frontrow.backrow    	0x00ae7134 -[BRAppManager run] + 119
4   com.apple.frontrow            	0x000032bc std::allocator<std::pair<int const, int> >::~allocator() + 1070
5   com.apple.frontrow            	0x0041cd0a std::allocator<std::pair<int const, int> >::~allocator() + 4300412

Thread 1:
0   libSystem.B.dylib             	0x90cb7946 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x90ce91cf _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x90ceaa53 pthread_cond_timedwait_relative_np + 47
3   com.apple.Foundation          	0x9254df9c -[NSCondition waitUntilDate:] + 236
4   com.apple.Foundation          	0x9254ddb0 -[NSConditionLock lockWhenCondition:beforeDate:] + 144
5   com.apple.Foundation          	0x9254dd15 -[NSConditionLock lockWhenCondition:] + 69
6   com.apple.frontrow.backrow    	0x00adb5a9 -[BRMusicStore(Private) _processJobs:] + 103
7   com.apple.Foundation          	0x9250804d -[NSThread main] + 45
8   com.apple.Foundation          	0x92507bf4 __NSThread__main__ + 308
9   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
10  libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd38 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x9253c5b5 -[NSRunLoop(NSRunLoop) runMode:beforeDate:] + 213
5   com.apple.Foundation          	0x925486d4 -[NSRunLoop(NSRunLoop) run] + 84
6   com.apple.frontrow.backrow    	0x00ae2d21 -[BRURLDocumentManager(private) _loadDocuments] + 162
7   com.apple.Foundation          	0x9250804d -[NSThread main] + 45
8   com.apple.Foundation          	0x92507bf4 __NSThread__main__ + 308
9   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
10  libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd38 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x9256b560 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x9250804d -[NSThread main] + 45
6   com.apple.Foundation          	0x92507bf4 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
8   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd94 CFRunLoopRun + 84
4   com.apple.DVCPROHDMuxer       	0x01565507 AVS::DestroyAVCDeviceController(AVS::AVCDeviceController*) + 285
5   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
6   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd38 CFRunLoopRunInMode + 88
4   com.apple.audio.CoreAudio     	0x96ca5464 HALRunLoop::OwnThread(void*) + 160
5   com.apple.audio.CoreAudio     	0x96ca5300 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
7   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x90cb792e semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x90ce91e6 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x90d2ec4b pthread_cond_wait + 48
3   com.apple.frontrow            	0x00018c77 std::allocator<std::pair<int const, int> >::~allocator() + 89577
4   com.apple.frontrow            	0x00018600 std::allocator<std::pair<int const, int> >::~allocator() + 87922
5   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
6   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x90d06f5a select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
2   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 8:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd94 CFRunLoopRun + 84
4   com.apple.frontrow.backrow    	0x00ae6f96 -[BRDisplayManager(DisplayNotifications) _windowServerCallbackHandler] + 342
5   com.apple.Foundation          	0x9250804d -[NSThread main] + 45
6   com.apple.Foundation          	0x92507bf4 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
8   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 9:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.frontrow            	0x003d1ffb std::allocator<std::pair<int const, int> >::~allocator() + 3993965
4   com.apple.Foundation          	0x9250804d -[NSThread main] + 45
5   com.apple.Foundation          	0x92507bf4 __NSThread__main__ + 308
6   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
7   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 10:
0   libSystem.B.dylib             	0x90cbeace __semwait_signal + 10
1   libSystem.B.dylib             	0x90ce8ced pthread_cond_wait$UNIX2003 + 73
2   libGLProgrammability.dylib    	0x93642f32 glvmDoWork + 162
3   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
4   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 11:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.CoreFoundation      	0x93ebc0fe CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x93ebcd38 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x95a807c2 CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
6   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 12:
0   libSystem.B.dylib             	0x90cbeace __semwait_signal + 10
1   libSystem.B.dylib             	0x90ce8ced pthread_cond_wait$UNIX2003 + 73
2   com.apple.QuartzCore          	0x91b11161 fe_fragment_thread + 54
3   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
4   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 13:
0   libSystem.B.dylib             	0x90cbeace __semwait_signal + 10
1   libSystem.B.dylib             	0x90ce8ced pthread_cond_wait$UNIX2003 + 73
2   com.apple.ColorSync           	0x916e3460 pthreadSemaphoreWait(t_pthreadSemaphore*) + 42
3   com.apple.ColorSync           	0x916f5d92 CMMConvTask(void*) + 54
4   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
5   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 14:
0   libSystem.B.dylib             	0x90cb7946 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x90ce91cf _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x90ceaa53 pthread_cond_timedwait_relative_np + 47
3   ...uickTimeStreaming.component	0x1aa56ef5 FigSemaphoreWaitRelative + 258
4   ...uickTimeStreaming.component	0x1aa619ea NetworkReadSchedulerThreadEntryPoint + 6654
5   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
6   libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 15:
0   libSystem.B.dylib             	0x90cb78e6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x90cbf0dc mach_msg + 72
2   com.apple.framework.IOKit     	0x90e839ce io_connect_map_memory + 225
3   ...er.AppleIntelGMA950GLDriver	0x1378ca15 glrSwapSwap + 133
4   com.apple.opengl              	0x9342c78b CGLFlushDrawable + 123
5   com.apple.frontrow.backrow    	0x00af5d49 -[BRRenderScene(RenderLinkPrivate) _renderTreeAtTime:] + 2352
6   com.apple.frontrow.backrow    	0x00af53e8 RenderCallback + 227
7   com.apple.CoreVideo           	0x927a7027 CVDisplayLink::performIO(CVTimeStamp*) + 429
8   com.apple.CoreVideo           	0x927a7653 CVDisplayLink::runIOThread() + 1015
9   libSystem.B.dylib             	0x90ce8075 _pthread_start + 321
10  libSystem.B.dylib             	0x90ce7f32 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0xa04470f0  ebx: 0x9293307c  ecx: 0xa04461a0  edx: 0x00f3f000
  edi: 0x0103e2f0  esi: 0xbffffae0  ebp: 0xbffff588  esp: 0xbffff588
   ss: 0x0000001f  efl: 0x00000282  eip: 0x93f36114   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x1b823000

Binary Images:
    0x1000 -   0x5fafe6  com.apple.frontrow 2.1 (2.0) <57be1cda72526c6b197fa6471b8361ae> /System/Library/CoreServices/Front Row.app/Contents/MacOS/Front Row
  0x875000 -   0x8a0fef  com.apple.iPhotoAccessFramework 2.0 (2.0) /System/Library/PrivateFrameworks/iPhotoAccess.framework/Versions/A/iPhotoAccess
  0x8c3000 -   0x8c6fff  com.apple.BezelServicesFW 1.4.533 (1.4.533) /System/Library/PrivateFrameworks/BezelServices.framework/Versions/A/BezelServices
  0x8cd000 -   0xa75fe7  com.apple.dvdplayback 5.0.0 (5000) <7a3d2b8a74de22a85d80b77330a39dc3> /System/Library/Frameworks/DVDPlayback.framework/Versions/A/DVDPlayback
  0xad8000 -   0xbd0ff3  com.apple.frontrow.backrow 2.1.1 (2.1.1) /System/Library/PrivateFrameworks/BackRow.framework/Versions/A/BackRow
  0xcab000 -   0xcbfff7  com.apple.ScreenSaver 2.0 (2.0) <76cb878a128f3161288d43a68ba0290e> /System/Library/Frameworks/ScreenSaver.framework/Versions/A/ScreenSaver
  0xccf000 -   0xd0afe3  com.apple.AppleVAFramework 4.0.14 (4.0.14) /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
  0xd11000 -   0xd50fff  com.apple.vmutils 4.1 (104) <2fcd53ce313bb6050bfaf0ac6c1b5ead> /System/Library/PrivateFrameworks/vmutils.framework/Versions/A/vmutils
  0xd72000 -   0xda2ffb  com.apple.DiskManagement 2.1 (152) <1a71c02f082a80656961486251b15074> /System/Library/PrivateFrameworks/DiskManagement.framework/Versions/A/DiskManagement
  0xdc4000 -   0xdf9fff  com.apple.MediaKit 9.0 (391) <baf0ef1d2fb7dec226bb982c991b6b95> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
  0xe0a000 -   0xed3ff5  com.apple.DiscRecording 4.0 (4000.4.10) <d4130992c67baeb1ec39e6b63e080550> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
 0x1231000 -  0x1233fff  com.apple.frontrow.appliance.dvd 2.0 (2.0) <8746ee2b0f732a7773d475cdcae1258a> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/DVD.frappliance/Contents/MacOS/DVD
 0x123a000 -  0x123bffc  com.apple.frontrow.appliance.frsettings 2.0.1 (2.0.1) <699a65011ae0c94b6927a65693d1622e> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/FRSettings.frappliance/Contents/MacOS/FRSettings
 0x1241000 -  0x1241ffd  com.apple.frontrow.appliance.frsources 1.0 (1.0) <11a6fd772e4af77d0c098b55feaa4e86> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/FRSources.frappliance/Contents/MacOS/FRSources
 0x1247000 -  0x124efff  com.apple.frontrow.appliance.movies 2.0.2 (2.0.2) <16d0a1b2da287b041aec9fbf211938b0> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Movies.frappliance/Contents/MacOS/Movies
 0x1258000 -  0x1258ffe  com.apple.frontrow.appliance.music 2.0.2 (2.0.2) <5c3497efe5ea5f7fc63464ed123227eb> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Music.frappliance/Contents/MacOS/Music
 0x125e000 -  0x125fffd  com.apple.frontrow.appliance.frphotos 2.0.2 (2.0.2) <b0e78cb6757b463ccad37e2aa5f5ff60> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Photos.frappliance/Contents/MacOS/Photos
 0x1266000 -  0x1266ffc  com.apple.frontrow.appliance.podcast 2.1.1 (2.1.1) <ebf69d3aff2a43d066af3ba944105805> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Podcasts.frappliance/Contents/MacOS/Podcasts
 0x126c000 -  0x126cffe  com.apple.frontrow.appliance.tv 2.0.2 (2.0.2) <eafa4f8cd0240bcee44067c91a6c068d> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/TV.frappliance/Contents/MacOS/TV
 0x12d5000 -  0x12fcfff  com.apple.frontrow.appliance.Sapphire ??? (1.0b4.1 (396)) /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Sapphire.frappliance/Contents/MacOS/Sapphire
 0x132a000 -  0x132dfff  com.apple.audio.AudioIPCPlugIn 1.0.4 (1.0.4) <9ce6f675ce724b0ba4e78323b79cf95c> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
 0x1354000 -  0x1359fff  com.apple.audio.AppleHDAHALPlugIn 1.4.0 (1.4.0a23) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
 0x1554000 -  0x159bfef  com.apple.DVCPROHDMuxer 1.2 (1.2) /Library/QuickTime/DVCPROHDMuxer.component/Contents/MacOS/DVCPROHDMuxer
 0x1700000 -  0x1752fc3  com.apple.DVCPROHDAudio 1.2 (1.2) /Library/Audio/Plug-Ins/HAL/DVCPROHDAudio.plugin/Contents/MacOS/DVCPROHDAudio
0x13775000 - 0x137ceff7  com.apple.driver.AppleIntelGMA950GLDriver 1.5.18 (5.1.8) <367ee1d6bfcdc0efeef57a88505a1cb6> /System/Library/Extensions/AppleIntelGMA950GLDriver.bundle/Contents/MacOS/AppleIntelGMA950GLDriver
0x13808000 - 0x13989fef  GLEngine ??? (???) <6106cebf02eec50e8f88c5dc936f1266> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x139b7000 - 0x139d3fff  GLRendererFloat ??? (???) <5719f596b7e2c9ef8afca208544b158b> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x13b28000 - 0x13b28ffe  com.yourcompany.CompatClasses ??? (1.0) <ca171e46f7dc31eb6fb4018aca902391> /System/Library/CoreServices/Front Row.app/Contents/PlugIns/Sapphire.frappliance/Contents/Frameworks/CompatClasses.framework/CompatClasses
0x13b3d000 - 0x13c23ff7  com.apple.RawCamera.bundle 2.0 (2.0) /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x1998f000 - 0x19a13fff  com.apple.xquery 1.3 (27) /System/Library/PrivateFrameworks/XQuery.framework/XQuery
0x1a926000 - 0x1aa81fe1  com.apple.QuickTimeStreaming.component 7.3.1 (7.3.1) <be5c4d455cd1dfbc37436ac2d52efe61> /System/Library/QuickTime/QuickTimeStreaming.component/Contents/MacOS/QuickTimeStreaming
0x70000000 - 0x700e3ff2  com.apple.audio.units.Components 1.5 (1.5) /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8fe00000 - 0x8fe2d883  dyld 95.3 (???) <81592e798780564b5d46b988f7ee1a6a> /usr/lib/dyld
0x90003000 - 0x90032fe3  com.apple.AE 402 (402) <994ba8e884aefe7bf1fc5987df099e7b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x90071000 - 0x900f8ff7  libsqlite3.0.dylib ??? (???) <273efcb717e89c21207c851d7d33fda4> /usr/lib/libsqlite3.0.dylib
0x90111000 - 0x9011fffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x90120000 - 0x901b3fff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x9054e000 - 0x9055efff  com.apple.speech.synthesis.framework 3.6.59 (3.6.59) <4ffef145fad3d4d787e0c33eab26b336> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9055f000 - 0x9055fffe  com.apple.MonitorPanelFramework 1.2.0 (1.2.0) <a2b462be6c51187eddf7d097ef0e0a04> /System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel
0x90560000 - 0x90610fff  edu.mit.Kerberos 6.0.11 (6.0.11) <33c25789baedcd70a7e24881775dd9ad> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x90611000 - 0x906c3ffb  libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib
0x906c4000 - 0x90a82fea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x90a83000 - 0x90b32fff  com.apple.DesktopServices 1.4.3 (1.4.3) <66d5ed56111c43d234e235d365d02469> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x90b33000 - 0x90c57fe3  com.apple.audio.toolbox.AudioToolbox 1.5 (1.5) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x90c58000 - 0x90c59ffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x90c8f000 - 0x90c8ffff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x90c90000 - 0x90c97ff7  libCGATS.A.dylib ??? (???) <9b29a5500efe01cc3adea67bbc42568e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x90ca0000 - 0x90cb6fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x90cb7000 - 0x90e11fe3  libSystem.B.dylib ??? (???) <8ecc83dc0399be3946f7a46e88cf4bbb> /usr/lib/libSystem.B.dylib
0x90e12000 - 0x90e9cfff  com.apple.framework.IOKit 1.5.1 (???) <5176a7383151a19c962334009fef2c6d> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90e9d000 - 0x90e9dffe  com.apple.quartzframework 1.5 (1.5) <4b8f505e32e4f2d67967a276401f9aaf> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x90e9e000 - 0x90eb6fff  com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x90eb7000 - 0x9154efef  com.apple.CoreGraphics 1.351.0 (???) <7a6f399039eed6dbe845c169f7d21a70> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9154f000 - 0x915c3fef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x915ca000 - 0x915cffff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x915d0000 - 0x915d8fff  com.apple.DiskArbitration 2.2 (2.2) <1551b2af557fdf6f368f93e093933852> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x915d9000 - 0x9168ffe3  com.apple.CoreServices.OSServices 210.2 (210.2) <4ed69f07fc0f211ab32d1ee96e281fc2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91690000 - 0x91690ffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x91691000 - 0x916affff  libresolv.9.dylib ??? (???) <54e6a08c2f108bdf5916fb483d51961b> /usr/lib/libresolv.9.dylib
0x916b0000 - 0x9177bfff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9177f000 - 0x91783fff  libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91784000 - 0x917a8fff  libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib
0x917a9000 - 0x917d6feb  libvDSP.dylib ??? (???) <a26683d121ee0f96df9a9d0bfca36049> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x917dd000 - 0x9183affb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x9183b000 - 0x918c6ffb  com.apple.QTKit 7.3.1 (7.3.1) /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x918c7000 - 0x918fdfff  com.apple.SystemConfiguration 1.9.0 (1.9.0) <7919d9588c3b0d556646e555b7193f1f> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x918fe000 - 0x919a7fff  com.apple.JavaScriptCore 5523.10.3 (5523.10.3) <9e6719a7a0740f5c224099a7b853e45b> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x919a8000 - 0x919a8ff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x919a9000 - 0x91a18fff  com.apple.PDFKit 2.0 (2.0) /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x91a1c000 - 0x91db2ff7  com.apple.QuartzCore 1.5.1 (1.5.1) <deb61cbeb3f734a1b2f4669f6268b9de> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x91db3000 - 0x9208cfe7  com.apple.CoreServices.CarbonCore 783 (783) <8370e664eeb25edc98d5c1f5405b06ae> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x92182000 - 0x92488fff  com.apple.HIToolbox 1.5.0 (???) <1b872a7151ee3f80c9c736a3e46d00d9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x92489000 - 0x9248effb  com.apple.DisplayServicesFW 2.0 (2.0) <8953865f53e940007a4e4ac5390d3c95> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x9248f000 - 0x924fdfff  com.apple.iLifeMediaBrowser 1.0.3 (194) /System/Library/PrivateFrameworks/iLifeMediaBrowser.framework/Versions/A/iLifeMediaBrowser
0x924fe000 - 0x92777fe7  com.apple.Foundation 6.5.1 (677.1) <85ac18c7cd454378db6122bea0c00965> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92778000 - 0x92793ffb  libPng.dylib ??? (???) <b6abcac36ec7654ff3e1cfa786b0117b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x92794000 - 0x927aafe7  com.apple.CoreVideo 1.5.0 (1.5.0) <c7569b68e54114da815e9c55299fe3a4> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x927ab000 - 0x928e3ff7  libicucore.A.dylib ??? (???) <afcea652ff2ec36885b2c81c57d06d4c> /usr/lib/libicucore.A.dylib
0x928e4000 - 0x92929fef  com.apple.Metadata 10.5.0 (398) <4fd74fba0062c2e08ec4b1c10b40ff63> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9292a000 - 0x92a09fff  libobjc.A.dylib ??? (???) <5eda47fec2d0e7853b3506aa1fd2dafa> /usr/lib/libobjc.A.dylib
0x92a0a000 - 0x92a0cff5  libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x92a0d000 - 0x92a47ff7  com.apple.coreui 0.1 (60) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x92a48000 - 0x92c03ff3  com.apple.QuartzComposer 2.0 (106) <e31bf3733d0676dd7993afca6ce48c3e> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x92c04000 - 0x92c04ffd  com.apple.Accelerate 1.4 (Accelerate 1.4) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x92d07000 - 0x92debffb  com.apple.CoreData 100 (185) <a4e63784275e25e62f57e75e0af0b94d> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x92dec000 - 0x92df3fe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x92df4000 - 0x92ebbff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x92f0a000 - 0x9321bfe2  com.apple.QuickTime 7.3.1 (7.3.1) <697ff9cc466d4388840c3b733af9c6d7> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x9321c000 - 0x93275fff  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x933f5000 - 0x93400fe7  libCSync.A.dylib ??? (???) <df82fc093e498a9eb5490761cb292218> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x93401000 - 0x93401ff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x93402000 - 0x93421ffa  libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x93422000 - 0x9342ffe7  com.apple.opengl 1.5.5 (1.5.5) <aa08b52d2a84b44dc6ee5d544a53fe8a> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93435000 - 0x93491ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x93492000 - 0x93493fef  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x93494000 - 0x934b8feb  libssl.0.9.7.dylib ??? (???) <acee7fc534674498dcac211318aa23e8> /usr/lib/libssl.0.9.7.dylib
0x934b9000 - 0x934b9ffd  com.apple.vecLib 3.4 (vecLib 3.4) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x934ba000 - 0x934fcfef  com.apple.NavigationServices 3.5.1 (161) <cc6bd78eabf1e2e7166914e9f12f5850> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93526000 - 0x9355fffe  com.apple.securityfoundation 3.0 (32768) <1e9885d63ced51f81bc1f39af624637d> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9361c000 - 0x93ae8ffe  libGLProgrammability.dylib ??? (???) <e8bc0af671427cf2b6279a035805a086> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x93cda000 - 0x93ce1ffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x93ce2000 - 0x93cf2ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <cbeb17ab39f28351fe2ab5b82bf465bc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x93d03000 - 0x93d05fff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x93d06000 - 0x93d52fff  com.apple.QuickLookUIFramework 1.0 (168.0) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x93d53000 - 0x93dd2ff5  com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x93dd3000 - 0x93df1ff3  com.apple.DirectoryService.Framework 3.5 (3.5) <899d8c9ee31b004a6ff73dab88982b1a> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x93df2000 - 0x93df2ffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x93e24000 - 0x93e42ff7  com.apple.QuickLookFramework 1.0 (168.0) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x93e43000 - 0x93e49fff  com.apple.print.framework.Print 218 (220) <c35172175abbe554ddadd9b6401351fa> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x93e4a000 - 0x93f7cfe7  com.apple.CoreFoundation 6.5 (476) <8bfebc0dbad6fc33bea0fa00a1b9ec37> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x93f7d000 - 0x94146fef  com.apple.security 5.0.1 (32736) <8c9eda0fcc1d8a571543025ac900715f> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x94147000 - 0x9428cff7  com.apple.ImageIO.framework 2.0.0 (2.0.0) <154d4d8cda2bd99518cbabc9f2d69833> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9428d000 - 0x942b4fff  libcups.2.dylib ??? (???) <6b61eb99e6f5dd2d66cd224e9f82427d> /usr/lib/libcups.2.dylib
0x942b5000 - 0x946c5fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x946d2000 - 0x947b3ff7  libxml2.2.dylib ??? (???) <450ec38b57fb46013847cce851001a2f> /usr/lib/libxml2.2.dylib
0x9482c000 - 0x9482cffd  com.apple.Accelerate.vecLib 3.4 (vecLib 3.4) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9482d000 - 0x948b9ff7  com.apple.LaunchServices 284 (284) <0fb50a7a6fd38875f727fc2592a496e4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x948ba000 - 0x94961fff  com.apple.QD 3.11.50 (???) <e2f71720ae1dad06a8883ac80775b21a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x94962000 - 0x949f4ff3  com.apple.ApplicationServices.ATS 3.0 (???) <fb5f572243dbc370a0ea5efc8e81ae11> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x949f5000 - 0x94a1ffef  libauto.dylib ??? (???) <d468bc4a8a69343f1748c293db1b57fb> /usr/lib/libauto.dylib
0x94a20000 - 0x94a2cff5  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x958af000 - 0x958ffff7  com.apple.HIServices 1.6.0 (???) <d74aa73e4cfd30a08fb169198a8d2539> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x95900000 - 0x9593dff7  libGLImage.dylib ??? (???) <202d73e6a4688fc06ff11b71910c2ce7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9593e000 - 0x95a74fe3  com.apple.imageKit 1.0 (1.0) <2f2656deebcf595b88f010ba08cef0e4> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x95a75000 - 0x95aecfe3  com.apple.CFNetwork 220 (220) <0ae8fbcbadcb9bd8d673aa4531c0fcfc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x95aed000 - 0x95af0fff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x95af1000 - 0x95afbfeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x95afc000 - 0x95b0bffe  com.apple.DSObjCWrappers.Framework 1.2 (1.2) <f5b58d1d3a855a63d493ccbec417a1e9> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x95b0c000 - 0x95b56fe1  com.apple.securityinterface 3.0 (32532) <f521dae416ce7a3bdd594b0d4e2fb517> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x95b57000 - 0x95b93ff7  com.apple.CoreMediaIOServicesPrivate 1.2 (1.2) /System/Library/PrivateFrameworks/CoreMediaIOServicesPrivate.framework/Versions/A/CoreMediaIOServicesPrivate
0x95b99000 - 0x95c13ff8  com.apple.print.framework.PrintCore 5.5 (245) <9441d178f4b430cf92b67bf346646693> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x95cda000 - 0x95ceeff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x95d5c000 - 0x95d9bfef  libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x95d9c000 - 0x95dbffff  com.apple.CoreMediaPrivate 1.2 (1.2) <0f78d9bc7307d60cf58c0f8ac8994cf4> /System/Library/PrivateFrameworks/CoreMediaPrivate.framework/Versions/A/CoreMediaPrivate
0x962f7000 - 0x962f7ffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x962f8000 - 0x96352ff7  com.apple.CoreText 2.0.0 (???) <7fa39cd5bc847615ec02e7c7a37c0508> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x963a2000 - 0x96b9cfef  com.apple.AppKit 6.5 (949) <f8d0f6d0bb5ac092f48f42ca684bdb54> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x96c3c000 - 0x96c45fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x96c46000 - 0x96c87fe7  libRIP.A.dylib ??? (???) <bdc6d70bf4ed3dace321b4ff76a353b3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x96c88000 - 0x96d04feb  com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x96d05000 - 0x96d36ffb  com.apple.quartzfilters 1.5.0 (1.5.0) <22581f8fe9dd2cb261f97a897407ec3e> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x96d37000 - 0x96d6dfef  libtidy.A.dylib ??? (???) <e4d3e7399fb83d7f145f9b4ec8196242> /usr/lib/libtidy.A.dylib
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

I'll try moving all the video files out of the Movie folder, and adding them in. It is possible NSURLConnection is timing out at times; the Mini is on a wireless G bridge shared with two TiVos?, and my ISP, Comcast, is known to intentionally disrupt network traffic they don't like, and which I usually do have.

I'll look again in the manual for this, but I need a foolproof way to start over with Sapphire, deleting all files it creates or uses. I think I'll re-install it, too. The drive was just verified with Disk Utility, and I repaired the permissions again.

comment:10 Changed 6 years ago by gbooker

the No accelerated IMDCT transform found is from the A52Codec. The latest version has this, but it has been removed from the next one.

Sapphire stores all its file in ~/Library/Application? Support/Sapphire?. Deleting that dir effectively starts over.

The crash log you posted isn't actually a crash, but rather an uncaught exception. It should have been logged to the console, was it? The next version of Sapphire logs these exceptions in a better manner (but will still exit since things could be in an unstable state), such that we can get exact line numbers from the traceback. It may be the Robot Chicken season 1, which is a known bug and has been fixed for next release.

comment:11 follow-up: ↓ 12 Changed 6 years ago by anonymous

This seems to be the section of console log associated with the exception above:

Dec 17 12:00:35 HDmini FrontRow[510]: ******** Application Startup ********
Dec 17 12:00:35 HDmini FrontRow[510]: [SapphireAppliance className] called for whitelist check; returning RUICalibrationAppliance instead
Dec 17 12:04:16 HDmini FrontRow[510]: socket(PF_ROUTE) failed: Too many open files
Dec 17 12:04:46: --- last message repeated 3 times ---
Dec 17 12:05:24 HDmini ReportCrash[511]: Formulating crash report for process Front Row[510]
Dec 17 12:05:25 HDmini ReportCrash[511]: Saved crashreport to /Users/frontrow/Library/Logs/CrashReporter/Front Row_2007-12-17-120522_HDmini.crash using uid: 502 gid: 502, euid: 502 egid: 502
Dec 17 12:05:25 HDmini ReportCrash[511]: Failed to write crash history. Error: 2 No such file or directory
Dec 17 12:05:25 HDmini com.apple.launchd[90] (com.apple.RemoteUI[510]): Exited abnormally: Trace/BPT trap
Dec 17 12:05:38 HDmini ARDAgent [96]: Front Process:Couldn't get front process..	error: -600.
Dec 17 12:05:39 HDmini loginwindow[35]: DEAD_PROCESS: 0 console
Dec 17 12:05:40 HDmini shutdown[514]: reboot by frontrow: 
Dec 17 12:05:40 HDmini com.apple.loginwindow[35]: Shutdown NOW!
Dec 17 12:05:40 HDmini shutdown[514]: SHUTDOWN_TIME: 1197911140 173049
Dec 17 12:05:40 HDmini com.apple.loginwindow[35]: System shutdown time has arrived^G^G

I am not positive, but I believe this particular involuntary program exit was caused by Joining files. Since the crashes seem to come after a fairly fixed number of <Not A Movie (or TV Show)> choices, I tried to minimize them by linking files that form one movie or TV show before running the metadata search tools. I restarted the Mini via Apple Remote Desktop as you can see.

I'm going to start from scratch, run in Admin mode only, never use ARD for Sapphire, and add files 10 or so at a time. It'll probably be a day or three before I can devote the time to it.

comment:12 in reply to: ↑ 11 Changed 6 years ago by gbooker

Replying to anonymous:

This seems to be the section of console log associated with the exception above:

Actually, this one seems to be a crash
<snip>

Dec 17 12:04:16 HDmini FrontRow[510]: socket(PF_ROUTE) failed: Too many open files
Dec 17 12:04:46: --- last message repeated 3 times ---

Here's the real problem. Too many open files! That's serious.

Dec 17 12:05:24 HDmini ReportCrash[511]: Formulating crash report for process Front Row[510]
Dec 17 12:05:25 HDmini ReportCrash[511]: Saved crashreport to /Users/frontrow/Library/Logs/CrashReporter/Front Row_2007-12-17-120522_HDmini.crash using uid: 502 gid: 502, euid: 502 egid: 502
Dec 17 12:05:25 HDmini ReportCrash[511]: Failed to write crash history. Error: 2 No such file or directory

And it failed to write because of too many open files.

I'm going to start from scratch, run in Admin mode only, never use ARD for Sapphire, and add files 10 or so at a time. It'll probably be a day or three before I can devote the time to it.

Honestly, admin mode shouldn't matter. I don't run my account in admin mode (sysadmin habit).

I think the too many files is the real culprit. This may also be the real cause of NSURLConnection crashing (which it should never do). Look at  http://www.afp548.com/article.php?story=20061031093749963 and see if the maxfiles is sane (I think the values listed there are sane, but you can try increasing it if you want).

comment:13 follow-up: ↓ 14 Changed 6 years ago by anonymous

I checked your link, and my numbers look typical:

	cpu         unlimited      unlimited      
	filesize    unlimited      unlimited      
	data        6291456        unlimited      
	stack       8388608        67104768       
	core        0              unlimited      
	rss         unlimited      unlimited      
	memlock     unlimited      unlimited      
	maxproc     266            532            
	maxfiles    256            unlimited      

OK, I'll forget the admin mode. Like you, I prefer the security.

I bought this Mac mini the day of Leopard's release and used the drop-in DVD to upgrade from 10.4 to 10.5. It isn't running much more than the standard Leopard install. I've been trying to minimize the rest, for instance I've disabled QMaster, which is Final Cut Studio's distributed rendering software (which I wasn't using on this wireless Mac). Since that removal, a lot of spurious error messages in Console have gone away. I think the only extra process is the ARD usage.

comment:14 in reply to: ↑ 13 Changed 6 years ago by gbooker

Replying to anonymous:

I checked your link, and my numbers look typical:

Yeah, they do. Maybe try increasing them to see if it makes a difference? Maybe there is some sneak item in there keeping files open.

comment:15 follow-up: ↓ 16 Changed 6 years ago by anonymous

To Fix your chrashes, try deleting all the metadata information found in "Home Folder*"/library/Application Support/Sapphire/?

The Sapphire folder contains the following folders and files: Collection Art metaData.plist settings.plist tvdata.plist

Delet all of the contents of the Sapphire folder.

Then re-import everything from scratch. The problem could be that Sapphire is looking for some episodes/movies that no longer exist in your /movies folder. By deleting all the metadata info, it forces Sapphire to start from scratch. It worked for me, I was having the same problem with Sapphire crashing after moving/changing some information in the /movies folder.

* "Home Folder" is the folder between "Desktop" and "Applications" that has an icon that looks like a house. I'm sure there is a better name for this but I'm new to the Mac scene, so I'm not sure what it's called. My "Home Folder" has the same name as my computer - which is named after me (and therefore it says "tyleryoungblood" and not "Home Folder")

Good luck!

comment:16 in reply to: ↑ 15 Changed 6 years ago by gbooker

Replying to anonymous:

To Fix your chrashes, try deleting all the metadata information found in "Home Folder*"/library/Application Support/Sapphire/?

WRONG! This is completely different. This will not help him, especially since he already tried that.

comment:17 Changed 6 years ago by gbooker

Just thought of something for the original poster. What speed is your network?

comment:18 follow-up: ↓ 22 Changed 6 years ago by anonymous

I'm experiencing similar problems, including the NSURLConnection crashes. The initial import of file data runs fine, followed by the movie/TV show data, but subsequent updates typically crash.

The common factor in my case seems to be deleting files. If I delete a moive or episode that Sapphire has previously seen, Sappire will crash on the next update. If I create an empty file with the same name as the deleted movie, Sappire is again happy. If I delete an entire directory, it seems to cope.

Is there a "correct" way to delete files that Sapphire has already seen? I tend to delete episodes or movies once I have watched them.

comment:19 follow-up: ↓ 20 Changed 6 years ago by anonymous

gbooker,

OP here. The mini running Sapphire shares a Wireless G bridge with two TiVos?. The bridge goes to an Airport Extreme G which is on a 5Mb/sec cable broadband connection. More subjectively, watching HD trailers with Front Row is quite zippy.

comment:20 in reply to: ↑ 19 Changed 6 years ago by gbooker

Replying to anonymous:

OP here. The mini running Sapphire shares a Wireless G bridge with two TiVos?. The bridge goes to an Airport Extreme G which is on a 5Mb/sec cable broadband connection. More subjectively, watching HD trailers with Front Row is quite zippy.

Ok, that answers my question. I was trying to figure out if the too many files could be caused by a large number of background downloads (cover art) which were being slow to complete; but I doubt that is the case. I have the same connection, minus the two Tivos and plus two computers.

comment:21 Changed 6 years ago by Scstraus

I've been having the same crashes pretty much every time I use the import all. Pretty much same configuration- mac mini core duo 2 and os x 10.5.1

comment:22 in reply to: ↑ 18 Changed 6 years ago by anonymous

Replying to anonymous:

I'm experiencing similar problems, including the NSURLConnection crashes. The initial import of file data runs fine, followed by the movie/TV show data, but subsequent updates typically crash.

The common factor in my case seems to be deleting files. If I delete a moive or episode that Sapphire has previously seen, Sappire will crash on the next update. If I create an empty file with the same name as the deleted movie, Sappire is again happy. If I delete an entire directory, it seems to cope.

Is there a "correct" way to delete files that Sapphire has already seen? I tend to delete episodes or movies once I have watched them.

I have the exact same issue, and since I'm using an otherwise vanilla Apple TV (40GB) it'd be very nice to know the exact procedure to delete files and metadata from Sapphire without causing the import function to crash the next time it's run.

comment:23 follow-up: ↓ 24 Changed 6 years ago by anonymous

Has this issue been fixed in Beta 5?

comment:24 in reply to: ↑ 23 Changed 6 years ago by gbooker

Replying to anonymous:

Has this issue been fixed in Beta 5?

No idea. We have never been able to reproduce the crash; so we can't say whether it has been fixed or not. Have to wait on the those reporting this to tell us.

comment:25 Changed 6 years ago by anonymous

OP here again. I will test beta 5 and report back. There is a delay because my Mini's external 250G drive crashed, taking all the media files. Long story short, SpinRite? (an indispensable PC utility) has been repairing bad sectors for 600 hours or so. I have a new 500G drive ready to go, I just want to get all the files off the old drive. I have backups of most of them, but not all.

I had intended to test a workaround by adding new files gradually. Would it be better to load up all the files, and try to reproduce the crash?

I wonder if the imminent Apple TV 2.0 software release will affect this issue? I hope it's also released for Leopard.

nanopi.net is dropping connections this morning.

comment:26 Changed 6 years ago by gbooker

Ok, take your time. Just post here when you know. I have heard a lot about  Spinrite, and have been tempted to get it myself to fix the 4 failed HDs I have in a box, but it still sounds like it doesn't work on macs. I did hear a success story about using it in vmware though.

Yeah, try to see if you can reproduce the crash any way that you can.

network was dropping connections because perian 1.1 was released late Wed. night. Perian's website is hosted on the same server as this one. Long story short, OpenVZ cannot count memory properly with threads, so it kept limited the sever's memory because it was counting blocks that were not in use. Since it was all static content, Perian's website is now hosted (still on this server btw) with littpd, which seems to work much better.

comment:27 Changed 6 years ago by SteveM

OK, thanks; I will. I'm running  SpinRite 6 on a Dell. Almost any old PC will do, as long as it's a '386 or better with color. Otherwise, version 5 will work. It's been a godsend, even at fixing corrupted  TiVo hard drives.

The site is responsive today, so I created an account.

comment:28 Changed 6 years ago by anonymous

I think it definitely has something to do with the Spinal Tap DVD extras. I tried to play This is Spinal Tap on my Apple TV and the device stopped working altogether...

comment:29 follow-up: ↓ 30 Changed 6 years ago by SteveM

I finally got around to installing and trying beta 6.1. I spent about two hours Importing All, and didn't experience any crashes. I need to learn more about how to organize my media files to optimize the whole importing process. I have a few thousand files to get through, and it's taking a long time.

One thing I did notice was Sapphire was asking about every episode of an Alaska podcast. There there are a hundred or more, I went to Settings, and marked the iTunes Library folder to be skipped while importing. Then I went back to the scanning (Movies, I think) and it was still asking about those podcasts.

comment:30 in reply to: ↑ 29 Changed 6 years ago by pmerrill

Replying to SteveM:

One thing I did notice was Sapphire was asking about every episode of an Alaska podcast. There there are a hundred or more, I went to Settings, and marked the iTunes Library folder to be skipped while importing. Then I went back to the scanning (Movies, I think) and it was still asking about those podcasts.

It's best to completely exit Sapphire when after changing the import settings (skipping collections). This will ensure a fresh file survey by the importers.

comment:31 Changed 6 years ago by gbooker

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.